%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  lmerPerm
%global packver   0.1.9
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.9
Release:          1%{?dist}%{?buildtag}
Summary:          Perform Permutation Test on General Linear and Mixed Linear Regression

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-lmerTest 
BuildRequires:    R-stats 
Requires:         R-CRAN-lmerTest 
Requires:         R-stats 

%description
We provide a solution for performing permutation tests on linear and mixed
linear regression models. It allows users to obtain accurate p-values
without making distributional assumptions about the data. By generating a
null distribution of the test statistics through repeated permutations of
the response variable, permutation tests provide a powerful alternative to
traditional parameter tests (Holt et al. (2023)
<doi:10.1007/s10683-023-09799-6>). In this early version, we focus on the
permutation tests over observed t values of beta coefficients,
i.e.original t values generated by parameter tests. After generating a
null distribution of the test statistic through repeated permutations of
the response variable, each observed t values would be compared to the
null distribution to generate a p-value. To improve the efficiency,a stop
criterion (Anscombe (1953) <doi:10.1111/j.2517-6161.1953.tb00121.x>) is
adopted to force permutation to stop if the estimated standard deviation
of the value falls below a fraction of the estimated p-value. By doing so,
we avoid the need for massive calculations in exact permutation methods
while still generating stable and accurate p-values.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
